<?php
add_action( 'elementor/widgets/widgets_registered', 'webvite_elementor_widgets' );
function webvite_elementor_widgets() {

	if ( defined( 'ELEMENTOR_PATH' ) && class_exists( 'Elementor\Widget_Base' ) ) {

		require webvite_THEME_ROOT . '/elementor/widget/accordion/class-widget-webvite-accordion.php';

		require webvite_THEME_ROOT . '/elementor/widget/banner-services/class-widget-webvite-banner-services.php';

		require webvite_THEME_ROOT . '/elementor/widget/blog/class-widget-webvite-blog.php';

		require webvite_THEME_ROOT . '/elementor/widget/blog/class-widget-webvite-blog-grid.php';

		require webvite_THEME_ROOT . '/elementor/widget/button/class-widget-webvite-button.php';

		require webvite_THEME_ROOT . '/elementor/widget/client-logo/class-widget-webvite-client-logo.php';

		require webvite_THEME_ROOT . '/elementor/widget/counter/class-widget-webvite-counter.php';

		require webvite_THEME_ROOT . '/elementor/widget/feature-step/class-widget-webvite-feature-step.php';

		require webvite_THEME_ROOT . '/elementor/widget/flipbox/class-widget-webvite-flipbox.php';

		require webvite_THEME_ROOT . '/elementor/widget/image-gallery/class-widget-webvite-gallery.php';

		require webvite_THEME_ROOT . '/elementor/widget/image-hotspot/class-widget-webvite-image-hotspot.php';

		require webvite_THEME_ROOT . '/elementor/widget/image-parallax/class-widget-webvite-image-parallax.php';

		require webvite_THEME_ROOT . '/elementor/widget/info-box/class-widget-webvite-info-box.php';

		require webvite_THEME_ROOT . '/elementor/widget/list/class-widget-webvite-list.php';

		require webvite_THEME_ROOT . '/elementor/widget/marquee-slider/class-widget-webvite-marquee-slider.php';

		require webvite_THEME_ROOT . '/elementor/widget/newsletter/class-widget-webvite-newsletter.php';

		require webvite_THEME_ROOT . '/elementor/widget/parallax-banner/class-widget-webvite-parallax-banner.php';

		require webvite_THEME_ROOT . '/elementor/widget/portfolio/class-widget-webvite-portfolio.php';

		require webvite_THEME_ROOT . '/elementor/widget/portfolio/class-widget-webvite-portfolio-fancy.php';

		require webvite_THEME_ROOT . '/elementor/widget/pricing/class-widget-webvite-pricing.php';

		require webvite_THEME_ROOT . '/elementor/widget/products/class-widget-webvite-product-listing.php';

		require webvite_THEME_ROOT . '/elementor/widget/products/class-widget-webvite-product-cat.php';	

		require webvite_THEME_ROOT . '/elementor/widget/quick-info/class-widget-webvite-quick-info.php';

		require webvite_THEME_ROOT . '/elementor/widget/rounded-skill/class-widget-webvite-rounded-skill.php';

		require webvite_THEME_ROOT . '/elementor/widget/section-title/class-widget-webvite-section-title.php';		

		require webvite_THEME_ROOT . '/elementor/widget/service/class-widget-webvite-service.php';	
		
		require webvite_THEME_ROOT . '/elementor/widget/service-box/class-widget-webvite-service-box.php';	

		require webvite_THEME_ROOT . '/elementor/widget/service-slider/class-widget-webvite-service-slider.php';

		require webvite_THEME_ROOT . '/elementor/widget/skill/class-widget-webvite-skill.php';

		require webvite_THEME_ROOT . '/elementor/widget/small-icon-box/class-widget-webvite-small-icon-box.php';

		require webvite_THEME_ROOT . '/elementor/widget/social-icons/class-widget-webvite-social-icons.php';		

		require webvite_THEME_ROOT . '/elementor/widget/signinform/class-widget-webvite-signinform.php';

		require webvite_THEME_ROOT . '/elementor/widget/signupform/class-widget-webvite-signupform.php';

		require webvite_THEME_ROOT . '/elementor/widget/tab/class-widget-webvite-tab.php';		

		require webvite_THEME_ROOT . '/elementor/widget/team/class-widget-webvite-team.php';

		require webvite_THEME_ROOT . '/elementor/widget/team/class-widget-webvite-team-fancy.php';

		require webvite_THEME_ROOT . '/elementor/widget/team/class-widget-webvite-team-grid.php';

		require webvite_THEME_ROOT . '/elementor/widget/testimonial/class-widget-webvite-testimonial.php';

		require webvite_THEME_ROOT . '/elementor/widget/testimonial/class-widget-webvite-testimonial-new.php';

		require webvite_THEME_ROOT . '/elementor/widget/timeline/class-widget-webvite-timeline.php';

		require webvite_THEME_ROOT . '/elementor/widget/video/class-widget-webvite-video.php';
	}
}

add_filter( 'elementor/icons_manager/additional_tabs', 'webvite_add_ionicons_to_icon_manager' );
function webvite_add_ionicons_to_icon_manager( $settings ) {
	$settings['ion-ionicons'] = array(
		'name'          => 'ion',
		'label'         => esc_html__( 'Ionicons', 'webvite' ),
		'url'           => '',
		'enqueue'       => wp_enqueue_style( 'ionicons', webvite_THEME_URL . '/assest/css/fonts/ionicons.css', array(), '2.0.1', 'all' ),
		'prefix'        => 'ion-',
		'displayPrefix' => 'ion',
		'labelIcon'     => 'ion ion-ios-world',
		'fetchJson'     => webvite_THEME_URL . '/assest/js/ionicons.js',
		'ver'           => '1.0',
		'native'        => true,
	);

	return $settings;
}

add_filter( 'elementor/icons_manager/additional_tabs', 'webvite_add_themify_to_icon_manager' );
function webvite_add_themify_to_icon_manager( $settings ) {
	$settings['ti-themify'] = array(
		'name'          => 'ti-themify',
		'label'         => __( 'Themify', 'webvite' ),
		'url'           => '',
		'enqueue'       => wp_enqueue_style( 'themify', webvite_THEME_URL . '/assest/css/fonts/themify-icons.css', array(), '2.0.0', 'all' ),
		'prefix'        => 'ti-',
		'displayPrefix' => 'ti',
		'labelIcon'     => 'ti ti-world',
		'fetchJson'     => webvite_THEME_URL . '/assest/js/themify.js',
		'ver'           => '1.0',
		'native'        => true,
	);

	return $settings;
}

add_filter( 'elementor/icons_manager/additional_tabs', 'webvite_add_flaticon_to_icon_manager' );
function webvite_add_flaticon_to_icon_manager( $settings ) {
	$settings['flaticon-themify'] = array(
		'name'          => 'flaticon-themify',
		'label'         => __( 'Flaticon', 'webvite' ),
		'url'           => '',
		'enqueue'       => wp_enqueue_style( 'flaticon', webvite_THEME_URL . '/assest/css/fonts/flaticon.css', array(), '2.0.0', 'all' ),
		'prefix'        => 'flaticon-',
		'displayPrefix' => 'glyph-icon',
		'labelIcon'     => 'glyph-icon flaticon-internet',
		'fetchJson'     => webvite_THEME_URL . '/assest/js/flaticon.js',
		'ver'           => '1.0',
		'native'        => true,
	);

	return $settings;
}

add_action( 'elementor/editor/before_enqueue_scripts', 'webvite_add_widget_to_icon_manager' );
function webvite_add_widget_to_icon_manager( $settings ) {
	wp_enqueue_style( 'widgeticons', webvite_THEME_URL . '/assest/css/admin.css', array(), '1.0.0', 'all' );

	return $settings;
}


add_action(
	'elementor/init',
	function() {
		\Elementor\Plugin::$instance->elements_manager->add_category(
			'webvite',
			array(
				'title' => __( 'webvite Elements', 'webvite' ),
				'icon'  => 'fa fa-plug',
			)
		);
	}
);
