<?php
/**
 * Page Settings Options
 *
 * @package webvite Core
 * @subpackage Core
 * @since 1.1.0
 * @version 1.1.0
 */

Redux::setSection( 'webvite_redux', array(
    'title' => esc_html__('Page Settings','webvite'),
    'id'    => 'page-section',
    'icon'  => 'el el-cog',
    'fields'=> array(
        

        array(
            'id' => 'page_sidebar',
            'type' => 'image_select',
            'title'   => esc_html__( 'Page Sidebar', 'webvite' ),
            'options' => array(
                '1' => array(
                    'title' => esc_html__('Right Sidebar', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/right-sidebar.png',
                ) ,
                '2' => array(
                    'title' => esc_html__('Left Sidebar', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/left-sidebar.png',
                ) ,
                '3' => array(
                    'title' => esc_html__('FullWidth', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/full-width.png',
                ) ,
            ) ,
            'default'  => '1'
        ) ,

        array(
            'id' => 'search_sidebar',
            'type' => 'image_select',
            'title'   => esc_html__( 'Search Sidebar', 'webvite' ),
            'options' => array(
                '1' => array(
                    'title' => esc_html__('Right Sidebar', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/right-sidebar.png',
                ) ,
                '2' => array(
                    'title' => esc_html__('Left Sidebar', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/left-sidebar.png',
                ) ,
                '3' => array(
                    'title' => esc_html__('FullWidth', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/full-width.png',
                ) ,
            ) ,
            'default'  => '1'
        ) ,

        array(
            'id' => 'archive_sidebar',
            'type' => 'image_select',
            'title'   => esc_html__( 'Archive Sidebar', 'webvite' ),
            'options' => array(
                '1' => array(
                    'title' => esc_html__('Right Sidebar', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/right-sidebar.png',
                ) ,
                '2' => array(
                    'title' => esc_html__('Left Sidebar', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/left-sidebar.png',
                ) ,
                '3' => array(
                    'title' => esc_html__('FullWidth', 'webvite') ,
                    'img' => get_template_directory_uri() . '/assets/images/theme-option/blog/full-width.png',
                ) ,
            ) ,
            'default'  => '1'
        ) ,
        
    )
));
?>