<?php
/**
 * MailChimp Shortcode Options
 *
 * @package webvite Core
 * @subpackage Core
 * @since 1.1.0
 * @version 1.1.0
 */

Redux::setSection( 'webvite_redux', array(
    'title'      => esc_html__( 'MailChimp ID', 'webvite' ),
    'id'         => 'webvite-subscribe',
    'icon'       => 'el el-envelope',
    'fields'     => array(

        array(
            'id'        => 'mailchimp_shortcode',
            'type'      => 'text',
            'title'     => esc_html__( 'Subscribe Shortcode','webvite'),
            'subtitle'  => wp_kses( __( '<br />Put you Mailchimp for WP Shortcode here','webvite' ), array( 'br' => array() ) ),
        ),

    )) 
);
?>